Vinix· docs
API referenceCore APIEvents & NotificationsNotifications

Get Notification

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/notifications/{notification_id}

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

notification_id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/notifications/string"
{
  "data": {
    "bcc": {
      "email_addresses": [
        "[email protected]"
      ],
      "type": "original"
    },
    "category": "string",
    "cc": {
      "email_addresses": [
        "[email protected]"
      ],
      "type": "original"
    },
    "enabled": true,
    "friendly_name": "string",
    "from": "[email protected]",
    "macros": {},
    "reply_to": "[email protected]",
    "subject": "string",
    "template_charset": "utf-8",
    "to": {
      "email_addresses": [
        "[email protected]"
      ],
      "type": "original"
    }
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}